Subject: Re: [PATCH next] Fix the build failed caused by -Wstringop-overflow

From: "Gustavo A. R. Silva" <[email-masked]>
Date: Thu, 30 Nov 2023 09:52:42 -0600

On 11/30/23 04:57, Wenyu Huang wrote:
> gcc version: gcc (Ubuntu 11.4.0-1ubuntu1~22.04) 11.4.0
> 
> I use this version of gcc to compile, and the compilation fails. It said
> that "error: writing 1 byte into a region of size 0
> [-Werror=stringop-overflow=]".
> 
> This patch is to fix it to build successfully.
> 

This doesn't really fix anything. GCC 11 is buggy and the issues you
see are false positives that doesn't show up in other versions of
the compiler.

> Fixes: 89741e7e42f6 ("Makefile: Enable -Wstringop-overflow globally")

The commit ID is from a patch that's currently in linux-next, which
does not guarantee it's a stable commit. So, it shouldn't be used
for any tag in any changelog text. In fact, it has changed a couple
of times in the last couple of weeks.

-Wstringop-overflow will soon be disabled for GCC 11 by default. So,
this patch is unnecessary. I'll probably commit a patch for this next
week. :)

Thanks
--
Gustavo